## iem-plugin-suite 1.14.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)
include(CheckIncludeFiles)

#  _____ ______ __  __   _____  _                    _          _____       _ _
# |_   _|  ____|  \/  | |  __ \| |                  (_)        / ____|     (_) |
#   | | | |__  | \  / | | |__) | |_   _  __ _        _ _ __   | (___  _   _ _| |_ ___
#   | | |  __| | |\/| | |  ___/| | | | |/ _` |______| | '_ \   \___ \| | | | | __/ _ \
#  _| |_| |____| |  | | | |    | | |_| | (_| |______| | | | |  ____) | |_| | | ||  __/
# |_____|______|_|  |_| |_|    |_|\__,_|\__, |      |_|_| |_| |_____/ \__,_|_|\__\___|
#                                        __/ |
#                                       |___/

# The following list will hold all the plug-ins which will be built.
# Simply comment them out if you want to build only a subset of the plug-ins.
set (PLUGINS_TO_BUILD
        AllRADecoder
        BinauralDecoder
        CoordinateConverter
        DirectionalCompressor
        DirectivityShaper
        DistanceCompensator
        DualDelay
        EnergyVisualizer
        FdnReverb
        GranularEncoder
        MatrixMultiplier
        MultiBandCompressor
        MultiEncoder
        MultiEQ
        OmniCompressor
        ProbeDecoder
        RoomEncoder
        SceneRotator
        SimpleDecoder
        StereoEncoder
        ToolBox
    )

# The following options let you select the plug-ins formats you want to build.
# You can either change them here or use the command line to switch them on/off.
option (IEM_USE_SYSTEM_JUCE "Use JUCE found via CMake rather than the bundled one." OFF)
option (IEM_BUILD_VST2 "Build VST2 version of the plug-ins." OFF)
option (IEM_BUILD_VST3 "Build VST3 version of the plug-ins." OFF)
option (IEM_BUILD_LV2 "Build LV2 version of the plug-ins." OFF)
option (IEM_BUILD_STANDALONE "Build standalones of the plug-ins." ON)
option (IEM_STANDALONE_JACK_SUPPORT "Build standalones with JACK support." ON)

set (IEM_POST_BUILD_INSTALL "USER" CACHE STRING "Define if plug-ins are installed for USER, SYSTEM or if you want NO installation")
set (prefix "/usr/local" CACHE STRING "Path prefix for custom installation")

set (CMAKE_POSITION_INDEPENDENT_CODE ON)

# Actual project configuration
project (IEMPluginSuite VERSION 1.14.0 LANGUAGES C CXX)

set_property (GLOBAL PROPERTY USE_FOLDERS YES)

# set copy paths for built plug-ins
if (IEM_POST_BUILD_INSTALL STREQUAL "NO")
    set_directory_properties (PROPERTIES JUCE_COPY_PLUGIN_AFTER_BUILD OFF)

elseif (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    set_directory_properties (PROPERTIES JUCE_COPY_PLUGIN_AFTER_BUILD ON)

    if (IEM_POST_BUILD_INSTALL STREQUAL "SYSTEM")
        set (prefix "/Library/Audio/Plug-Ins")
    else()  # Defaulting to USER
        set (prefix "$ENV{HOME}/Library/Audio/Plug-Ins")
    endif()

    set_directory_properties (PROPERTIES JUCE_VST_COPY_DIR "${prefix}/VST/IEM")
    set_directory_properties (PROPERTIES JUCE_VST3_COPY_DIR "${prefix}/VST3/IEM")
    set_directory_properties (PROPERTIES JUCE_LV2_COPY_DIR "${prefix}/LV2")

elseif (CMAKE_SYSTEM_NAME STREQUAL "Windows")
    set_directory_properties (PROPERTIES JUCE_COPY_PLUGIN_AFTER_BUILD ON)

    if ((IEM_POST_BUILD_INSTALL STREQUAL "USER") AND (prefix STREQUAL "/usr/local"))
        if (IEM_BUILD_VST3 OR IEM_BUILD_VST2)
            message (WARNING "VST and VST3 plug-ins are installed for all users by default as there is no officially supported consistent directory for local installation. Using SYSTEM for those. You can provide a costum prefix to change this behaviour.")
            set (IEM_POST_BUILD_INSTALL "SYSTEM")
        endif()

        set_directory_properties(PROPERTIES JUCE_LV2_COPY_DIR "$ENV{APPDATA}/LV2")
    endif()

    if (IEM_POST_BUILD_INSTALL STREQUAL "USER")
        set_directory_properties (PROPERTIES JUCE_VST_COPY_DIR "${prefix}/VST")
        set_directory_properties (PROPERTIES JUCE_VST3_COPY_DIR "${prefix}/VST3")
        set_directory_properties(PROPERTIES JUCE_LV2_COPY_DIR "${prefix}/LV2")

    else()  # Defaulting to SYSTEM as this is the only valid path on Windows for VST and VST3
        set_directory_properties(PROPERTIES JUCE_LV2_COPY_DIR "$ENV{CommonProgramFiles}/LV2")

        if (CMAKE_SIZEOF_VOID_P EQUAL 8)
            set_directory_properties (PROPERTIES JUCE_VST_COPY_DIR "$ENV{ProgramW6432}/Steinberg/VSTplugins/IEM")
            set_directory_properties (PROPERTIES JUCE_VST3_COPY_DIR "$ENV{CommonProgramFiles}/VST3/IEM")
        else()
            set_directory_properties (PROPERTIES JUCE_VST_COPY_DIR "$ENV{ProgramFiles(x86)}/Steinberg/Vstplugins/IEM")
            set_directory_properties (PROPERTIES JUCE_VST3_COPY_DIR "$ENV{CommonProgramFiles(x86)}/VST3/IEM")
        endif()

    endif()


elseif ((CMAKE_SYSTEM_NAME STREQUAL "Linux") OR (CMAKE_SYSTEM_NAME MATCHES ".*BSD"))
    set_directory_properties (PROPERTIES JUCE_COPY_PLUGIN_AFTER_BUILD ON)

    if (IEM_POST_BUILD_INSTALL STREQUAL "SYSTEM")
        set_directory_properties (PROPERTIES JUCE_VST_COPY_DIR "${prefix}/lib/vst/IEM")
        set_directory_properties (PROPERTIES JUCE_VST3_COPY_DIR "${prefix}/lib/vst3/IEM")
        set_directory_properties (PROPERTIES JUCE_LV2_COPY_DIR "${prefix}/lib/lv2")
    else()  # Defaulting to USER
        set_directory_properties (PROPERTIES JUCE_VST_COPY_DIR "$ENV{HOME}/.vst/IEM")
        set_directory_properties (PROPERTIES JUCE_VST3_COPY_DIR "$ENV{HOME}/.vst3/IEM")
        set_directory_properties (PROPERTIES JUCE_LV2_COPY_DIR "$ENV{HOME}/.lv2")
    endif()
endif()

# add JUCE dependency
if (IEM_USE_SYSTEM_JUCE)
    find_package(JUCE CONFIG REQUIRED)
else()
    add_subdirectory (JUCE)
endif()

# formats
set (IEM_FORMATS "")

if (IEM_BUILD_VST2)
    SET (VST2SDKPATH "/usr/include" CACHE STRING "Path to the VST2 SDK")
    # checking VST2 SDK
    if (VST2SDKPATH STREQUAL "/usr/include")
        CHECK_INCLUDE_FILES(pluginterfaces/vst2.x/aeffectx.h HAVE_VST2_HEADERS)
        IF (NOT HAVE_VST2_HEADERS)
            message (FATAL_ERROR "You have to specify the VST2SDKPATH variable with the path to the VST2 SDK if you want to build VST2 versions.")
        endif()
    endif()
    juce_set_vst2_sdk_path (${VST2SDKPATH})
    list (APPEND IEM_FORMATS VST)
    message ("-- IEM: Building VST2 versions")
endif()

if (IEM_BUILD_VST3)
    message ("-- IEM: Building VST3 versions")
    list (APPEND IEM_FORMATS VST3)
endif()

if (IEM_BUILD_LV2)
    message ("-- IEM: Building LV2 versions")
    list (APPEND IEM_FORMATS LV2)
endif()

if (IEM_BUILD_STANDALONE)
    message ("-- IEM: Building Standalone versions")
    list (APPEND IEM_FORMATS Standalone)
endif()

include_directories (resources/ /usr/local/include)
add_compile_definitions (DONT_SET_USING_JUCE_NAMESPACE=1
                         JUCE_MODAL_LOOPS_PERMITTED=1)

juce_add_binary_data (LAF_fonts SOURCES
    resources/lookAndFeel/Roboto-Bold.ttf
    resources/lookAndFeel/Roboto-Light.ttf
    resources/lookAndFeel/Roboto-Medium.ttf
    resources/lookAndFeel/Roboto-Regular.ttf)
    
juce_add_binary_data (IEM_logo 
    HEADER_NAME "IEMLogo.h"
    NAMESPACE "IEMLogo"
    SOURCES
    resources/Standalone/IEMPluginSuiteSmall.png)

foreach (subproject IN LISTS PLUGINS_TO_BUILD)
    add_subdirectory (${subproject})
endforeach()


# link fftw if necessary, only needed by BinauralDecoder, and not on macOS
if (BinauralDecoder IN_LIST PLUGINS_TO_BUILD AND NOT CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    if (CMAKE_SYSTEM_NAME STREQUAL "Windows") # build fftw3f on windows
        set (BUILD_SHARED_LIBS OFF)
        set (BUILD_TESTS OFF)
        set (ENABLE_FLOAT ON)
        set (ENABLE_SSE ON)

        set(CMAKE_POLICY_DEFAULT_CMP0077 NEW)
        add_subdirectory (fftw)
        set_target_properties ("fftw3f" PROPERTIES POSITION_INDEPENDET_CODE ON)
    endif()

    target_compile_definitions ("BinauralDecoder" PUBLIC JUCE_DSP_USE_STATIC_FFTW=1)
    target_link_libraries ("BinauralDecoder" PRIVATE fftw3f)
endif()


if (IEM_BUILD_STANDALONE)
    foreach (subproject IN LISTS PLUGINS_TO_BUILD)
        target_sources(${subproject} PRIVATE
            resources/Standalone/StandaloneApp.cpp
            resources/Standalone/MyStandaloneFilterWindow.h
            resources/Standalone/IEM_JackAudio.h
            resources/Standalone/IEM_AudioDeviceSelectorComponent.cpp
            resources/Standalone/IEM_AudioDeviceSelectorComponent.h)
    endforeach()

    if (NOT IEM_STANDALONE_JACK_SUPPORT)
        foreach (subproject IN LISTS PLUGINS_TO_BUILD)
            target_compile_definitions(${subproject} PUBLIC DONT_BUILD_WITH_JACK_SUPPORT=1)
        endforeach()
    endif()
endif()

=== AllRADecoder/CMakeLists.txt ===

juce_add_plugin (AllRADecoder
    PLUGIN_MANUFACTURER_CODE IEMA
    PLUGIN_CODE AlRa
    ICON_BIG "../resources/Standalone/IEMPluginSuiteSmall.png"
    ICON_SMALL "../resources/Standalone/IEMPluginSuiteSmall.png"
    COMPANY_NAME "IEM"
    PRODUCT_NAME "AllRADecoder"
    FORMATS ${IEM_FORMATS}
    VERSION "0.9.3"
    LV2URI "http://plugins.iem.at/AllRADecoder")


juce_generate_juce_header (AllRADecoder)

target_sources (AllRADecoder PRIVATE
    Source/AmbisonicNoiseBurst.h
    Source/EnergyDistributionVisualizer.h
    Source/LoudspeakerTableComponent.h
    Source/LoudspeakerVisualizer.h
    Source/NoiseBurst.h
    Source/PluginEditor.cpp
    Source/PluginEditor.h
    Source/PluginProcessor.cpp
    Source/PluginProcessor.h
    Source/RotateWindow.h
    Source/tDesign5200.h

    ../resources/OSC/OSCInputStream.h
    ../resources/OSC/OSCParameterInterface.cpp
    ../resources/OSC/OSCParameterInterface.h
    ../resources/OSC/OSCStatus.cpp
    ../resources/OSC/OSCStatus.h
    ../resources/OSC/OSCUtilities.h

    ../resources/NewtonApple/NewtonApple_hull3D.h
    ../resources/NewtonApple/NewtonApple_hull3D.cpp

    ../resources/efficientSHvanilla.cpp
    )

target_compile_definitions (AllRADecoder PRIVATE
    JUCE_USE_CURL=0
    JUCE_WEB_BROWSER=0
    JUCE_USE_CUSTOM_PLUGIN_STANDALONE_APP=1
    JUCE_USE_FLAC=0
    JUCE_USE_OGGVORBIS=0
    JUCE_USE_MP3AUDIOFORMAT=0
    JUCE_USE_LAME_AUDIO_FORMAT=0
    JUCE_USE_WINDOWS_MEDIA_FORMAT=0
    JUCE_DISPLAY_SPLASH_SCREEN=0
    JUCE_VST3_CAN_REPLACE_VST2=0)

target_include_directories (AllRADecoder PRIVATE Source)

target_link_libraries (AllRADecoder PRIVATE
    LAF_fonts
    IEM_logo
    juce::juce_audio_utils
    juce::juce_audio_plugin_client
    juce::juce_osc
    juce::juce_dsp
    juce::juce_opengl
    juce::juce_recommended_config_flags
    juce::juce_recommended_lto_flags)

=== BinauralDecoder/CMakeLists.txt ===

juce_add_plugin (BinauralDecoder
    PLUGIN_MANUFACTURER_CODE IEMA
    PLUGIN_CODE BiDe
    ICON_BIG "../resources/Standalone/IEMPluginSuiteSmall.png"
    ICON_SMALL "../resources/Standalone/IEMPluginSuiteSmall.png"
    COMPANY_NAME "IEM"
    PRODUCT_NAME "BinauralDecoder"
    FORMATS ${IEM_FORMATS}
    VERSION "0.6.4"
    LV2URI "http://plugins.iem.at/BinauralDecoder")


juce_generate_juce_header(BinauralDecoder)

target_sources (BinauralDecoder PRIVATE
    Source/PluginEditor.cpp
    Source/PluginEditor.h
    Source/PluginProcessor.cpp
    Source/PluginProcessor.h

    ../resources/OSC/OSCInputStream.h
    ../resources/OSC/OSCParameterInterface.cpp
    ../resources/OSC/OSCParameterInterface.h
    ../resources/OSC/OSCStatus.cpp
    ../resources/OSC/OSCStatus.h
    ../resources/OSC/OSCUtilities.h

    ../resources/efficientSHvanilla.cpp
    )

target_compile_definitions (BinauralDecoder PRIVATE
    JUCE_USE_CURL=0
    JUCE_WEB_BROWSER=0
    JUCE_USE_CUSTOM_PLUGIN_STANDALONE_APP=1
    JUCE_USE_FLAC=0
    JUCE_USE_OGGVORBIS=0
    JUCE_USE_MP3AUDIOFORMAT=0
    JUCE_USE_LAME_AUDIO_FORMAT=0
    JUCE_USE_WINDOWS_MEDIA_FORMAT=0
    JUCE_DISPLAY_SPLASH_SCREEN=0
    JUCE_VST3_CAN_REPLACE_VST2=0)

target_include_directories (BinauralDecoder PRIVATE Source)


juce_add_binary_data (BinauralDecoderEQs
    HEADER_NAME "EQData.h"
    NAMESPACE EQData
    SOURCES
        Source/EQ/AKG-K141MK2.wav
        Source/EQ/AKG-K240DF.wav
        Source/EQ/AKG-K240MK2.wav
        Source/EQ/AKG-K271MK2.wav
        Source/EQ/AKG-K271STUDIO.wav
        Source/EQ/AKG-K601.wav
        Source/EQ/AKG-K701.wav
        Source/EQ/AKG-K702.wav
        Source/EQ/AKG-K1000-Closed.wav
        Source/EQ/AKG-K1000-Open.wav
        Source/EQ/AudioTechnica-ATH-M50.wav
        Source/EQ/Beyerdynamic-DT250.wav
        Source/EQ/Beyerdynamic-DT770PRO-250Ohms.wav
        Source/EQ/Beyerdynamic-DT880.wav
        Source/EQ/Beyerdynamic-DT990PRO.wav
        Source/EQ/Presonus-HD7.wav
        Source/EQ/Sennheiser-HD430.wav
        Source/EQ/Sennheiser-HD560ovationII.wav
        Source/EQ/Sennheiser-HD480.wav
        Source/EQ/Sennheiser-HD565ovation.wav
        Source/EQ/Sennheiser-HD600.wav
        Source/EQ/Sennheiser-HD650.wav
        Source/EQ/SHURE-SRH940.wav)

juce_add_binary_data (BinauralDecoderIRs
    HEADER_NAME "IRData.h"
    NAMESPACE IRData
    SOURCES
        Source/IRs/irsOrd1.wav
        Source/IRs/irsOrd7.wav
        Source/IRs/irsOrd6.wav
        Source/IRs/irsOrd5.wav
        Source/IRs/irsOrd4.wav
        Source/IRs/irsOrd3.wav
        Source/IRs/irsOrd2.wav)

target_link_libraries (BinauralDecoder PRIVATE
    LAF_fonts
    IEM_logo
    BinauralDecoderEQs
    BinauralDecoderIRs
    juce::juce_audio_utils
    juce::juce_audio_plugin_client
    juce::juce_osc
    juce::juce_dsp
    juce::juce_opengl
    juce::juce_recommended_config_flags
    juce::juce_recommended_lto_flags)

=== CoordinateConverter/CMakeLists.txt ===

juce_add_plugin (CoordinateConverter
    PLUGIN_MANUFACTURER_CODE IEMA
    PLUGIN_CODE CoCo
    ICON_BIG "../resources/Standalone/IEMPluginSuiteSmall.png"
    ICON_SMALL "../resources/Standalone/IEMPluginSuiteSmall.png"
    COMPANY_NAME "IEM"
    PRODUCT_NAME "CoordinateConverter"
    FORMATS ${IEM_FORMATS}
    VERSION "0.4.4"
    LV2URI "http://plugins.iem.at/CoordinateConverter")


juce_generate_juce_header (CoordinateConverter)

target_sources (CoordinateConverter PRIVATE
    Source/PluginEditor.cpp
    Source/PluginEditor.h
    Source/PluginProcessor.cpp
    Source/PluginProcessor.h

    ../resources/OSC/OSCInputStream.h
    ../resources/OSC/OSCParameterInterface.cpp
    ../resources/OSC/OSCParameterInterface.h
    ../resources/OSC/OSCStatus.cpp
    ../resources/OSC/OSCStatus.h
    ../resources/OSC/OSCUtilities.h

    ../resources/efficientSHvanilla.cpp
    )

target_compile_definitions (CoordinateConverter PRIVATE
    JUCE_USE_CURL=0
    JUCE_WEB_BROWSER=0
    JUCE_USE_CUSTOM_PLUGIN_STANDALONE_APP=1
    JUCE_USE_FLAC=0
    JUCE_USE_OGGVORBIS=0
    JUCE_USE_MP3AUDIOFORMAT=0
    JUCE_USE_LAME_AUDIO_FORMAT=0
    JUCE_USE_WINDOWS_MEDIA_FORMAT=0
    JUCE_DISPLAY_SPLASH_SCREEN=0
    JUCE_VST3_CAN_REPLACE_VST2=0)

target_include_directories (CoordinateConverter PRIVATE Source)

target_link_libraries (CoordinateConverter PRIVATE
    LAF_fonts
    IEM_logo
    juce::juce_audio_utils
    juce::juce_audio_plugin_client
    juce::juce_osc
    juce::juce_dsp
    juce::juce_opengl
    juce::juce_recommended_config_flags
    juce::juce_recommended_lto_flags)

=== DirectionalCompressor/CMakeLists.txt ===

juce_add_plugin (DirectionalCompressor
    PLUGIN_MANUFACTURER_CODE IEMA
    PLUGIN_CODE DiCo
    ICON_BIG "../resources/Standalone/IEMPluginSuiteSmall.png"
    ICON_SMALL "../resources/Standalone/IEMPluginSuiteSmall.png"
    COMPANY_NAME "IEM"
    PRODUCT_NAME "DirectionalCompressor"
    FORMATS ${IEM_FORMATS}
    VERSION "1.3.4"
    LV2URI "http://plugins.iem.at/DirectionalCompressor")


juce_generate_juce_header (DirectionalCompressor)

target_sources (DirectionalCompressor PRIVATE
    Source/PluginEditor.cpp
    Source/PluginEditor.h
    Source/PluginProcessor.cpp
    Source/PluginProcessor.h

    ../resources/OSC/OSCInputStream.h
    ../resources/OSC/OSCParameterInterface.cpp
    ../resources/OSC/OSCParameterInterface.h
    ../resources/OSC/OSCStatus.cpp
    ../resources/OSC/OSCStatus.h
    ../resources/OSC/OSCUtilities.h

    ../resources/efficientSHvanilla.cpp
    )

target_compile_definitions (DirectionalCompressor PRIVATE
    JUCE_USE_CURL=0
    JUCE_WEB_BROWSER=0
    JUCE_USE_CUSTOM_PLUGIN_STANDALONE_APP=1
    JUCE_USE_FLAC=0
    JUCE_USE_OGGVORBIS=0
    JUCE_USE_MP3AUDIOFORMAT=0
    JUCE_USE_LAME_AUDIO_FORMAT=0
    JUCE_USE_WINDOWS_MEDIA_FORMAT=0
    JUCE_DISPLAY_SPLASH_SCREEN=0
    JUCE_VST3_CAN_REPLACE_VST2=0)

target_include_directories (DirectionalCompressor PRIVATE Source)

target_link_libraries (DirectionalCompressor PRIVATE
    LAF_fonts
    IEM_logo
    juce::juce_audio_utils
    juce::juce_audio_plugin_client
    juce::juce_osc
    juce::juce_dsp
    juce::juce_opengl
    juce::juce_recommended_config_flags
    juce::juce_recommended_lto_flags)

=== DirectivityShaper/CMakeLists.txt ===

juce_add_plugin (DirectivityShaper
    PLUGIN_MANUFACTURER_CODE IEMA
    PLUGIN_CODE DiSh
    ICON_BIG "../resources/Standalone/IEMPluginSuiteSmall.png"
    ICON_SMALL "../resources/Standalone/IEMPluginSuiteSmall.png"
    COMPANY_NAME "IEM"
    PRODUCT_NAME "DirectivityShaper"
    FORMATS ${IEM_FORMATS}
    VERSION "0.8.4"
    LV2URI "http://plugins.iem.at/DirectivityShaper")


juce_generate_juce_header (DirectivityShaper)

target_sources (DirectivityShaper PRIVATE
    Source/PluginEditor.cpp
    Source/PluginEditor.h
    Source/PluginProcessor.cpp
    Source/PluginProcessor.h

    ../resources/OSC/OSCInputStream.h
    ../resources/OSC/OSCParameterInterface.cpp
    ../resources/OSC/OSCParameterInterface.h
    ../resources/OSC/OSCStatus.cpp
    ../resources/OSC/OSCStatus.h
    ../resources/OSC/OSCUtilities.h

    ../resources/efficientSHvanilla.cpp
    )

target_compile_definitions (DirectivityShaper PRIVATE
    JUCE_USE_CURL=0
    JUCE_WEB_BROWSER=0
    JUCE_USE_CUSTOM_PLUGIN_STANDALONE_APP=1
    JUCE_USE_FLAC=0
    JUCE_USE_OGGVORBIS=0
    JUCE_USE_MP3AUDIOFORMAT=0
    JUCE_USE_LAME_AUDIO_FORMAT=0
    JUCE_USE_WINDOWS_MEDIA_FORMAT=0
    JUCE_DISPLAY_SPLASH_SCREEN=0
    JUCE_VST3_CAN_REPLACE_VST2=0)

target_include_directories (DirectivityShaper PRIVATE Source)

target_link_libraries (DirectivityShaper PRIVATE
    LAF_fonts
    IEM_logo
    juce::juce_audio_utils
    juce::juce_audio_plugin_client
    juce::juce_osc
    juce::juce_dsp
    juce::juce_opengl
    juce::juce_recommended_config_flags
    juce::juce_recommended_lto_flags)

=== DistanceCompensator/CMakeLists.txt ===

juce_add_plugin (DistanceCompensator
    PLUGIN_MANUFACTURER_CODE IEMA
    PLUGIN_CODE DisC
    ICON_BIG "../resources/Standalone/IEMPluginSuiteSmall.png"
    ICON_SMALL "../resources/Standalone/IEMPluginSuiteSmall.png"
    COMPANY_NAME "IEM"
    PRODUCT_NAME "DistanceCompensator"
    FORMATS ${IEM_FORMATS}
    VERSION "0.3.4"
    LV2URI "http://plugins.iem.at/DistanceCompensator")

juce_generate_juce_header (DistanceCompensator)

target_sources (DistanceCompensator PRIVATE
    Source/PluginEditor.cpp
    Source/PluginEditor.h
    Source/PluginProcessor.cpp
    Source/PluginProcessor.h

    ../resources/OSC/OSCInputStream.h
    ../resources/OSC/OSCParameterInterface.cpp
    ../resources/OSC/OSCParameterInterface.h
    ../resources/OSC/OSCStatus.cpp
    ../resources/OSC/OSCStatus.h
    ../resources/OSC/OSCUtilities.h

    ../resources/efficientSHvanilla.cpp
    )

target_compile_definitions (DistanceCompensator PRIVATE
    JUCE_USE_CURL=0
    JUCE_WEB_BROWSER=0
    JUCE_USE_CUSTOM_PLUGIN_STANDALONE_APP=1
    JUCE_USE_FLAC=0
    JUCE_USE_OGGVORBIS=0
    JUCE_USE_MP3AUDIOFORMAT=0
    JUCE_USE_LAME_AUDIO_FORMAT=0
    JUCE_USE_WINDOWS_MEDIA_FORMAT=0
    JUCE_DISPLAY_SPLASH_SCREEN=0
    JUCE_VST3_CAN_REPLACE_VST2=0)

target_include_directories (DistanceCompensator PRIVATE Source)

target_link_libraries (DistanceCompensator PRIVATE
    LAF_fonts
    IEM_logo
    juce::juce_audio_utils
    juce::juce_audio_plugin_client
    juce::juce_osc
    juce::juce_dsp
    juce::juce_opengl
    juce::juce_recommended_config_flags
    juce::juce_recommended_lto_flags)

=== DualDelay/CMakeLists.txt ===

juce_add_plugin (DualDelay
    PLUGIN_MANUFACTURER_CODE IEMA
    PLUGIN_CODE DuDe
    ICON_BIG "../resources/Standalone/IEMPluginSuiteSmall.png"
    ICON_SMALL "../resources/Standalone/IEMPluginSuiteSmall.png"
    COMPANY_NAME "IEM"
    PRODUCT_NAME "DualDelay"
    FORMATS ${IEM_FORMATS}
    VERSION "0.5.2"
    LV2URI "http://plugins.iem.at/DualDelay")


juce_generate_juce_header (DualDelay)

target_sources (DualDelay PRIVATE
    Source/PluginEditor.cpp
    Source/PluginEditor.h
    Source/PluginProcessor.cpp
    Source/PluginProcessor.h

    ../resources/OSC/OSCInputStream.h
    ../resources/OSC/OSCParameterInterface.cpp
    ../resources/OSC/OSCParameterInterface.h
    ../resources/OSC/OSCStatus.cpp
    ../resources/OSC/OSCStatus.h
    ../resources/OSC/OSCUtilities.h

    ../resources/efficientSHvanilla.cpp
    )

target_compile_definitions (DualDelay PRIVATE
    JUCE_USE_CURL=0
    JUCE_WEB_BROWSER=0
    JUCE_USE_CUSTOM_PLUGIN_STANDALONE_APP=1
    JUCE_USE_FLAC=0
    JUCE_USE_OGGVORBIS=0
    JUCE_USE_MP3AUDIOFORMAT=0
    JUCE_USE_LAME_AUDIO_FORMAT=0
    JUCE_USE_WINDOWS_MEDIA_FORMAT=0
    JUCE_DISPLAY_SPLASH_SCREEN=0
    JUCE_VST3_CAN_REPLACE_VST2=0)

target_include_directories (DualDelay PRIVATE Source)

target_link_libraries (DualDelay PRIVATE
    LAF_fonts
    IEM_logo
    juce::juce_audio_utils
    juce::juce_audio_plugin_client
    juce::juce_osc
    juce::juce_dsp
    juce::juce_opengl
    juce::juce_recommended_config_flags
    juce::juce_recommended_lto_flags)

=== EnergyVisualizer/CMakeLists.txt ===

juce_add_plugin (EnergyVisualizer
    PLUGIN_MANUFACTURER_CODE IEMA
    PLUGIN_CODE EnVi
    ICON_BIG "../resources/Standalone/IEMPluginSuiteSmall.png"
    ICON_SMALL "../resources/Standalone/IEMPluginSuiteSmall.png"
    COMPANY_NAME "IEM"
    PRODUCT_NAME "EnergyVisualizer"
    FORMATS ${IEM_FORMATS}
    VERSION "1.0.4"
    LV2URI "http://plugins.iem.at/EnergyVisualizer")


juce_generate_juce_header (EnergyVisualizer)

target_sources (EnergyVisualizer PRIVATE
    Source/PluginEditor.cpp
    Source/PluginEditor.h
    Source/PluginProcessor.cpp
    Source/PluginProcessor.h

    ../resources/OSC/OSCInputStream.h
    ../resources/OSC/OSCParameterInterface.cpp
    ../resources/OSC/OSCParameterInterface.h
    ../resources/OSC/OSCStatus.cpp
    ../resources/OSC/OSCStatus.h
    ../resources/OSC/OSCUtilities.h

    ../resources/efficientSHvanilla.cpp
    )

target_compile_definitions (EnergyVisualizer PRIVATE
    JUCE_USE_CURL=0
    JUCE_WEB_BROWSER=0
    JUCE_USE_CUSTOM_PLUGIN_STANDALONE_APP=1
    JUCE_USE_FLAC=0
    JUCE_USE_OGGVORBIS=0
    JUCE_USE_MP3AUDIOFORMAT=0
    JUCE_USE_LAME_AUDIO_FORMAT=0
    JUCE_USE_WINDOWS_MEDIA_FORMAT=0
    JUCE_DISPLAY_SPLASH_SCREEN=0
    JUCE_VST3_CAN_REPLACE_VST2=0)

target_include_directories (EnergyVisualizer PRIVATE Source)

target_link_libraries (EnergyVisualizer PRIVATE
    LAF_fonts
    IEM_logo
    juce::juce_audio_utils
    juce::juce_audio_plugin_client
    juce::juce_osc
    juce::juce_dsp
    juce::juce_opengl
    juce::juce_recommended_config_flags
    juce::juce_recommended_lto_flags)

=== FdnReverb/CMakeLists.txt ===

juce_add_plugin (FdnReverb
    PLUGIN_MANUFACTURER_CODE IEMA
    PLUGIN_CODE FdRe
    ICON_BIG "../resources/Standalone/IEMPluginSuiteSmall.png"
    ICON_SMALL "../resources/Standalone/IEMPluginSuiteSmall.png"
    COMPANY_NAME "IEM"
    PRODUCT_NAME "FdnReverb"
    FORMATS ${IEM_FORMATS}
    VERSION "1.2.4"
    LV2URI "http://plugins.iem.at/FdnReverb")


juce_generate_juce_header (FdnReverb)

target_sources (FdnReverb PRIVATE
    Source/PluginEditor.cpp
    Source/PluginEditor.h
    Source/PluginProcessor.cpp
    Source/PluginProcessor.h

    ../resources/OSC/OSCInputStream.h
    ../resources/OSC/OSCParameterInterface.cpp
    ../resources/OSC/OSCParameterInterface.h
    ../resources/OSC/OSCStatus.cpp
    ../resources/OSC/OSCStatus.h
    ../resources/OSC/OSCUtilities.h

    ../resources/efficientSHvanilla.cpp
    )

target_compile_definitions (FdnReverb PRIVATE
    JUCE_USE_CURL=0
    JUCE_WEB_BROWSER=0
    JUCE_USE_CUSTOM_PLUGIN_STANDALONE_APP=1
    JUCE_USE_FLAC=0
    JUCE_USE_OGGVORBIS=0
    JUCE_USE_MP3AUDIOFORMAT=0
    JUCE_USE_LAME_AUDIO_FORMAT=0
    JUCE_USE_WINDOWS_MEDIA_FORMAT=0
    JUCE_DISPLAY_SPLASH_SCREEN=0
    JUCE_VST3_CAN_REPLACE_VST2=0)

target_include_directories (FdnReverb PRIVATE Source)

target_link_libraries (FdnReverb PRIVATE
    LAF_fonts
    IEM_logo
    juce::juce_audio_utils
    juce::juce_audio_plugin_client
    juce::juce_osc
    juce::juce_dsp
    juce::juce_opengl
    juce::juce_recommended_config_flags
    juce::juce_recommended_lto_flags)

=== GranularEncoder/CMakeLists.txt ===

juce_add_plugin (GranularEncoder
    PLUGIN_MANUFACTURER_CODE IEMA
    PLUGIN_CODE GrEn
    ICON_BIG "../resources/Standalone/IEMPluginSuiteSmall.png"
    ICON_SMALL "../resources/Standalone/IEMPluginSuiteSmall.png"
    COMPANY_NAME "IEM"
    PRODUCT_NAME "GranularEncoder"
    FORMATS ${IEM_FORMATS}
    VERSION "1.0.0"
    LV2URI "http://plugins.iem.at/GranularEncoder")


juce_generate_juce_header (GranularEncoder)

target_sources (GranularEncoder PRIVATE
    Source/PluginEditor.cpp
    Source/PluginEditor.h
    Source/PluginProcessor.cpp
    Source/PluginProcessor.h
    Source/Grain.cpp
    Source/Grain.h

    ../resources/OSC/OSCInputStream.h
    ../resources/OSC/OSCParameterInterface.cpp
    ../resources/OSC/OSCParameterInterface.h
    ../resources/OSC/OSCStatus.cpp
    ../resources/OSC/OSCStatus.h
    ../resources/OSC/OSCUtilities.h

    ../resources/efficientSHvanilla.cpp
    )

target_compile_definitions (GranularEncoder PRIVATE
    JUCE_USE_CURL=0
    JUCE_WEB_BROWSER=0
    JUCE_USE_CUSTOM_PLUGIN_STANDALONE_APP=1
    JUCE_USE_FLAC=0
    JUCE_USE_OGGVORBIS=0
    JUCE_USE_MP3AUDIOFORMAT=0
    JUCE_USE_LAME_AUDIO_FORMAT=0
    JUCE_USE_WINDOWS_MEDIA_FORMAT=0
    JUCE_DISPLAY_SPLASH_SCREEN=0
    JUCE_VST3_CAN_REPLACE_VST2=0)

target_include_directories (GranularEncoder PRIVATE Source)

target_link_libraries (GranularEncoder PRIVATE
    LAF_fonts
    IEM_logo
    juce::juce_audio_utils
    juce::juce_audio_plugin_client
    juce::juce_osc
    juce::juce_opengl
    juce::juce_recommended_config_flags
    juce::juce_recommended_lto_flags)

=== MatrixMultiplier/CMakeLists.txt ===

juce_add_plugin (MatrixMultiplier
    PLUGIN_MANUFACTURER_CODE IEMA
    PLUGIN_CODE MaMu
    ICON_BIG "../resources/Standalone/IEMPluginSuiteSmall.png"
    ICON_SMALL "../resources/Standalone/IEMPluginSuiteSmall.png"
    COMPANY_NAME "IEM"
    PRODUCT_NAME "MatrixMultiplier"
    FORMATS ${IEM_FORMATS}
    VERSION "0.3.4"
    LV2URI "http://plugins.iem.at/MatrixMultiplier")


juce_generate_juce_header (MatrixMultiplier)

target_sources (MatrixMultiplier PRIVATE
    Source/PluginEditor.cpp
    Source/PluginEditor.h
    Source/PluginProcessor.cpp
    Source/PluginProcessor.h

    ../resources/OSC/OSCInputStream.h
    ../resources/OSC/OSCParameterInterface.cpp
    ../resources/OSC/OSCParameterInterface.h
    ../resources/OSC/OSCStatus.cpp
    ../resources/OSC/OSCStatus.h
    ../resources/OSC/OSCUtilities.h

    ../resources/efficientSHvanilla.cpp
    )

target_compile_definitions (MatrixMultiplier PRIVATE
    JUCE_USE_CURL=0
    JUCE_WEB_BROWSER=0
    JUCE_USE_CUSTOM_PLUGIN_STANDALONE_APP=1
    JUCE_USE_FLAC=0
    JUCE_USE_OGGVORBIS=0
    JUCE_USE_MP3AUDIOFORMAT=0
    JUCE_USE_LAME_AUDIO_FORMAT=0
    JUCE_USE_WINDOWS_MEDIA_FORMAT=0
    JUCE_DISPLAY_SPLASH_SCREEN=0
    JUCE_VST3_CAN_REPLACE_VST2=0)

target_include_directories (MatrixMultiplier PRIVATE Source)

target_link_libraries (MatrixMultiplier PRIVATE
    LAF_fonts
    IEM_logo
    juce::juce_audio_utils
    juce::juce_audio_plugin_client
    juce::juce_osc
    juce::juce_dsp
    juce::juce_opengl
    juce::juce_recommended_config_flags
    juce::juce_recommended_lto_flags)

=== debian/changelog ===
iem-plugin-suite (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
    (Closes: #1027117)

  [ IOhannes m zmölnig ]
  * Drop patches applied upstream
  * Use built-in (upstream) JACK support
  * Drop JUCE_MODAL_LOOPS_PERMITTED (set upstream)
  * Provide .desktop files for the standalones
  * Use d/clean instead of overriding dh_clean
  * Add a blhc override (for salsa)
  * Update d/copyright
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump d/watch version to 4
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 17 Jan 2023 11:54:39 +0100

iem-plugin-suite (1.13.0-3) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Add patch to fix compilation with JUCE-7.0.2 (Closes: #1017731)
  * B-D on fst-dev
  * Bump versioned B-D on juce-modules-source
  * Drop B-D on juce-tools

  [ Dennis Braun ]
  * Bump Standards Version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 19 Aug 2022 23:39:22 +0200

=== debian/control ===
Source: iem-plugin-suite
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-exec,
 fst-dev,
 juce-modules-source (>= 7.0.2~),
 libasound2-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libfftw3-dev,
 libfreetype6-dev,
 libgl1-mesa-dev | libgl-dev,
 libjack-dev,
 libjpeg-dev,
 libpng-dev,
 libx11-dev,
 libxext-dev,
 libxinerama-dev,
 libxrandr-dev,
 zlib1g-dev | libz-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://plugins.iem.at/
Vcs-Git: https://salsa.debian.org/multimedia-team/iem-plugin-suite.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/iem-plugin-suite

Package: iem-plugin-suite-vst
Architecture: any
Built-Using:
 ${juce:BuiltUsing},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 vst-plugin,
Description: IEM's spatialization suite - VST2 plugins
 The IEM Plug-in Suite is an audio plugin suite created at the Institute of
 Electronic Music and Acoustics (Graz, Austria).
 It features Higher-Order Ambisonic plug-ins (up to 7th order), among them a
 number of state of the art encoders, directional compressors, directivity
 shapers, delay and reverb effects and analysis tools.
 .
 This package provides the plugins so they can be used by VST2 hosts.

Package: iem-plugin-suite-standalone
Architecture: any
Built-Using:
 ${juce:BuiltUsing},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: IEM's spatialization suite - standalone
 The IEM Plug-in Suite is an audio plugin suite created at the Institute of
 Electronic Music and Acoustics (Graz, Austria).
 It features Higher-Order Ambisonic plug-ins (up to 7th order), among them a
 number of state of the art encoders, directional compressors, directivity
 shapers, delay and reverb effects and analysis tools.
 .
 This package provides the plugins as standalone applications.

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
export DEB_CPPFLAGS_MAINT_APPEND =
export DEB_LDFLAGS_MAINT_APPEND =

# iem-plugin-suite uses some c++11 features requiring atomic_store_8 and
# atomic_load_8, so we need to link with libatomic on
# armel, powerpc, powerpcspe, m68k, mips, mipsel, and sh4
# see also:
# - https://gcc.gnu.org/wiki/Atomic
# - https://gcc.gnu.org/wiki/Atomic/GCCMM/LIbrary
# - the 'clasp' packaging
noatomicarch = $(shell dpkg-architecture -qDEB_HOST_ARCH | egrep -x "(armel|powerpc|powerpcspe|m68k|mips|mipsel|sh4)")

# link with libatomic on architectures without built-in atomic
ifeq ($(if $(noatomicarch),atomic), atomic)
	DEB_LDFLAGS_MAINT_APPEND += -latomic
endif

JUCE_VERSION := $(shell dpkg-query --show --showformat='$${source:Version}' juce-modules-source)

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DIEM_USE_SYSTEM_JUCE=ON \
		-DIEM_BUILD_STANDALONE=ON \
		-DIEM_BUILD_VST2=ON \
		-DIEM_BUILD_VST3=OFF \
		-DVST2SDKPATH=/usr/include \
		$(empty)

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: ^\[[ 0-9]+%\] Building CXX object .*"

execute_before_dh_install:
	# install the VST plugins and the standalong applications
	find $(CURDIR) -type f -executable -path "*_artefacts/*" -path "*/Standalone/*" -exec ./debian/install.sh {} +

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.md


override_dh_gencontrol:
	dh_gencontrol -- \
                -Vjuce:BuiltUsing="juce ( = $(JUCE_VERSION) )"

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*|resources/lookAndFeel/.*\.ttf|resources/Standalone/.*\.png|BinauralDecoder/Source/.*\.wav
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# Run the "uscan" command to check for upstream uaudiopluginsates and more.
version=4
  https://git.iem.at/audioplugins/IEMPluginSuite/tags .*/-/archive/v?@ANY_VERSION@/IEMPluginSuite-.*@ARCHIVE_EXT@

## iem-plugin-suite 1.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
 set (CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 # Actual project configuration
-project (IEMPluginSuite VERSION 1.14.0 LANGUAGES C CXX)
+project (IEMPluginSuite VERSION 1.14.1 LANGUAGES C CXX)
 
 set_property (GLOBAL PROPERTY USE_FOLDERS YES)

=== AllRADecoder/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     COMPANY_NAME "IEM"
     PRODUCT_NAME "AllRADecoder"
     FORMATS ${IEM_FORMATS}
-    VERSION "0.9.3"
+    VERSION "0.9.4"
     LV2URI "http://plugins.iem.at/AllRADecoder")

=== BinauralDecoder/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     COMPANY_NAME "IEM"
     PRODUCT_NAME "BinauralDecoder"
     FORMATS ${IEM_FORMATS}
-    VERSION "0.6.4"
+    VERSION "0.6.5"
     LV2URI "http://plugins.iem.at/BinauralDecoder")

=== CoordinateConverter/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     COMPANY_NAME "IEM"
     PRODUCT_NAME "CoordinateConverter"
     FORMATS ${IEM_FORMATS}
-    VERSION "0.4.4"
+    VERSION "0.4.5"
     LV2URI "http://plugins.iem.at/CoordinateConverter")

=== DirectionalCompressor/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     COMPANY_NAME "IEM"
     PRODUCT_NAME "DirectionalCompressor"
     FORMATS ${IEM_FORMATS}
-    VERSION "1.3.4"
+    VERSION "1.3.5"
     LV2URI "http://plugins.iem.at/DirectionalCompressor")

=== DirectivityShaper/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     COMPANY_NAME "IEM"
     PRODUCT_NAME "DirectivityShaper"
     FORMATS ${IEM_FORMATS}
-    VERSION "0.8.4"
+    VERSION "0.8.5"
     LV2URI "http://plugins.iem.at/DirectivityShaper")

=== DistanceCompensator/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     COMPANY_NAME "IEM"
     PRODUCT_NAME "DistanceCompensator"
     FORMATS ${IEM_FORMATS}
-    VERSION "0.3.4"
+    VERSION "0.3.5"
     LV2URI "http://plugins.iem.at/DistanceCompensator")
 
 juce_generate_juce_header (DistanceCompensator)

=== DualDelay/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     COMPANY_NAME "IEM"
     PRODUCT_NAME "DualDelay"
     FORMATS ${IEM_FORMATS}
-    VERSION "0.5.2"
+    VERSION "0.5.3"
     LV2URI "http://plugins.iem.at/DualDelay")

=== EnergyVisualizer/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     COMPANY_NAME "IEM"
     PRODUCT_NAME "EnergyVisualizer"
     FORMATS ${IEM_FORMATS}
-    VERSION "1.0.4"
+    VERSION "1.0.5"
     LV2URI "http://plugins.iem.at/EnergyVisualizer")

=== FdnReverb/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     COMPANY_NAME "IEM"
     PRODUCT_NAME "FdnReverb"
     FORMATS ${IEM_FORMATS}
-    VERSION "1.2.4"
+    VERSION "1.2.5"
     LV2URI "http://plugins.iem.at/FdnReverb")

=== GranularEncoder/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     COMPANY_NAME "IEM"
     PRODUCT_NAME "GranularEncoder"
     FORMATS ${IEM_FORMATS}
-    VERSION "1.0.0"
+    VERSION "1.0.1"
     LV2URI "http://plugins.iem.at/GranularEncoder")

=== MatrixMultiplier/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     COMPANY_NAME "IEM"
     PRODUCT_NAME "MatrixMultiplier"
     FORMATS ${IEM_FORMATS}
-    VERSION "0.3.4"
+    VERSION "0.3.5"
     LV2URI "http://plugins.iem.at/MatrixMultiplier")

=== debian/changelog ===
iem-plugin-suite (1.14.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:54:43 +1100

iem-plugin-suite (1.14.1-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:54:23 +0000

iem-plugin-suite (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1
  * B-D on libfreetype-dev instead of libfreetype6-dev

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Jul 2023 10:16:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: iem-plugin-suite
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
@@ -13,7 +14,7 @@
  libasound2-dev,
  libcurl4-gnutls-dev | libcurl-dev,
  libfftw3-dev,
- libfreetype6-dev,
+ libfreetype-dev,
  libgl1-mesa-dev | libgl-dev,
  libjack-dev,
  libjpeg-dev,
